<template>
	<div class="DoctorYuYue">
		<YuYue202506 :reg_num="reg_num" :entrust_ids="entrust_ids" :episode_id="episode_id" :appointment_type="appointment_type" :dotype="dotype"></YuYue202506>
	</div>
</template>

<script setup>
	import {
		ref,
		onMounted
	} from 'vue';
	import {
		ElMessage,
		ElMessageBox
	} from 'element-plus'
	import YuYue202506 from '@/components/Yewu/YuYue202506.vue'
	
	import {
		useRoute,
		useRouter
	} from "vue-router"
	const route = useRoute()
	const router = useRouter()
	
	let reg_num=ref('')
	let entrust_ids=ref([])
	let episode_id=ref('')
	let appointment_type=ref(null);
	let dotype=ref(1)
	
	
	// reg_num.value='0006946646'
	// entrust_ids.value='40890547||1,40890546||1'
	// episode_id.value='111043531'
	// appointment_type.value=4
	// dotype.value=1
	console.log(route.query.regnum)
	reg_num.value=decodeURIComponent(route.query.regnum)
	console.log(reg_num.value)
	entrust_ids.value=decodeURIComponent(route.query.entrustid)
	episode_id.value=decodeURIComponent(route.query.episodeid)
	appointment_type.value=1
	dotype.value=1
</script>

<style scoped>
	.DoctorYuYue{
		padding: 10px 20px;
	}
</style>